import 'package:example/models/user/user.dart';
import 'package:fireproof_annotation/fireproof_annotation.dart';
import 'package:flutter_fireproof/flutter_fireproof.dart';

part 'root.fire.dart';

/// This will map out everything similar to how auto_route does it.
/// It will create every collection ([BadgesCollection]) based on it's type
@root
class Database with FireproofFirestore, _$Root {
  final instance = FirebaseFirestore.instance;

  late final CollectionReference thing;

  @Collection(name: 'users')
  late final FireCollectionReference<UserDoc, User> usersCollection;
}
